aboutsummaryrefslogtreecommitdiffstats
path: root/community/liborcus/APKBUILD
diff options
context:
space:
mode:
authorTimo Teräs <timo.teras@iki.fi>2017-02-08 14:32:02 +0000
committerTimo Teräs <timo.teras@iki.fi>2017-02-08 14:32:13 +0000
commit142b52624817aeffe7feb264ffef1a152f6f02e3 (patch)
treec2c2ab7442cce051b899169ec269d663b0cc8e19 /community/liborcus/APKBUILD
parentbe277f1fb9dfd2e42eb546dcf5e4e474b95d877c (diff)
downloadaports-142b52624817aeffe7feb264ffef1a152f6f02e3.tar.gz
aports-142b52624817aeffe7feb264ffef1a152f6f02e3.tar.bz2
aports-142b52624817aeffe7feb264ffef1a152f6f02e3.tar.xz
community/liborcus: new aport
library for processing spreadsheet documents https://gitlab.com/orcus/orcus
Diffstat (limited to 'community/liborcus/APKBUILD')
-rw-r--r--community/liborcus/APKBUILD39
1 files changed, 39 insertions, 0 deletions
diff --git a/community/liborcus/APKBUILD b/community/liborcus/APKBUILD
new file mode 100644
index 0000000000..72085e91c4
--- /dev/null
+++ b/community/liborcus/APKBUILD
@@ -0,0 +1,39 @@
+# Contributor: Timo Teräs <timo.teras@iki.fi>
+# Maintainer: Timo Teräs <timo.teras@iki.fi>
+pkgname=liborcus
+pkgver=0.12.1
+pkgrel=0
+pkgdesc="library for processing spreadsheet documents"
+url="https://gitlab.com/orcus/orcus"
+arch="all"
+license="MPL2"
+depends=""
+depends_dev=""
+makedepends="$depends_dev boost-dev mdds-dev libixion-dev zlib-dev"
+install=""
+subpackages="$pkgname-dev"
+source="http://kohei.us/files/orcus/src/liborcus-$pkgver.tar.xz"
+builddir="$srcdir/liborcus-$pkgver"
+
+build() {
+ cd "$builddir"
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --localstatedir=/var \
+ --disable-python \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="14d39b4ba7e44123d63b7a1d1358026a liborcus-0.12.1.tar.xz"
+sha256sums="d1b936c66944d23e1b2582d0e7129e44670052510d03f19fef644e9814ae2b9c liborcus-0.12.1.tar.xz"
+sha512sums="294b24ad7fccae77070edd9d8e6e1a370f609ec8af9a2c58567431e641fc0f3f27c4cd4b6ac1825a8179a22a1d1a81d84827859eb631d2625194f9e59ca1a8c3 liborcus-0.12.1.tar.xz"